package sun.nio.fs;

import java.lang.reflect.Field;
import java.security.AccessController;
import java.security.PrivilegedAction;
import java.lang.reflect.AccessibleObject;

class Reflect
{
    private Reflect() {
    }
    
    private static void setAccessible(final AccessibleObject accessibleObject) {
        AccessController.doPrivileged(new PrivilegedAction<Object>() {
            @Override
            public Object run() {
                accessibleObject.setAccessible(true);
                return null;
            }
        });
    }
    
    static Field lookupField(String className, String name) {
        try {
            Field declaredField = Class.forName(className).getDeclaredField(name);
            setAccessible(declaredField);
            return declaredField;
        }
        catch (ClassNotFoundException detailMessage) {
            throw new AssertionError(detailMessage);
        }
        catch (NoSuchFieldException detailMessage2) {
            throw new AssertionError(detailMessage2);
        }
    }
}
